javax.swing.plaf.basic

## Class BasicListUI.FocusHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicListUI.FocusHandler

- All Implemented Interfaces:
    FocusListener, EventListener
  Enclosing class:
    BasicListUI

      public class BasicListUI.FocusHandler
      extends Object
      implements FocusListener

  This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `BasicListUI`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FocusHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `focusGained(FocusEvent e)` | Invoked when a component gains the keyboard focus.
    `void` | `focusLost(FocusEvent e)` | Invoked when a component loses the keyboard focus.
    `protected void` | `repaintCellFocus()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FocusHandler

          public FocusHandler()

  - ### Method Detail

    - #### repaintCellFocus

          protected void repaintCellFocus()

    - #### focusGained

          public void focusGained(FocusEvent e)

      Description copied from interface: `FocusListener`
      Invoked when a component gains the keyboard focus.
      Specified by:
        `focusGained` in interface `FocusListener`

    - #### focusLost

          public void focusLost(FocusEvent e)

      Description copied from interface: `FocusListener`
      Invoked when a component loses the keyboard focus.
      Specified by:
        `focusLost` in interface `FocusListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.